Subject: Re: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: Alan Mackenzie <[email-masked]>
Date: Thu, 7 Jul 2022 15:54:41 +0000

Hello, Eli.

On Wed, Jul 06, 2022 at 20:29:10 +0300, Eli Zaretskii wrote:
> > Date: Wed, 6 Jul 2022 17:04:40 +0000
> > Cc: [email-masked], [email-masked], [email-masked],
> >   [email-masked]
> > From: Alan Mackenzie <[email-masked]>

> > > Do you have a suggestion for a change there to improve the behavior?

> > I do now.  I think we should expunge the entire section of code.

> I'm okay with doing that on master, ....

OK, I've committed that patch to master, removing that section of code.

> .... but who will tell us what will that do for Emacs 28?  I hoped to
> be able to release Emacs 28.2 soon-ish, so I don't want to wait for
> this change to collect enough trust so that we could cherry-pick it.

> I guess that means Emacs 28.2 will have this issue unresolved, unless
> someone comes up with some ideas.

The situation on the release branch is still fluid.

-- 
Alan Mackenzie (Nuremberg, Germany).